<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2014 (x64) (http://www.altova.com) by Group IT (PostNL Groep) -->
<!--org/2001/XMLSchema-->
<!--


major/ minor versie:	0.1
datum aanmaak:		10-10-2014
datum productie		
gemaakt door			NM
doelgroep					PostNL Productie

Gebaseerd op logfiles van de sorteermachines en de gewenste rapportages.
Ten behoeve van de analyse en verwerking van technische machine meldingen.

  	
   -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:postnl/mail/SortingMachineEvent/1" xmlns:ma1="urn:postnl/mail/manufacturingcomponents/1" xmlns:co1="urn:postnl/mail/components/1" xmlns:me1="urn:postnl/mail/meta/1" xmlns:fi1="urn:postnl/mail/fields1" targetNamespace="urn:postnl/mail/SortingMachineEvent/1" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="urn:postnl/mail/manufacturingcomponents/1" schemaLocation="../../Common/OAGI/Components/ManufacturingComponents1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/components/1" schemaLocation="../../Common/OAGI/Components/Components1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/meta/1" schemaLocation="../../Common/OAGI/Components/Meta1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/fields1" schemaLocation="../../Common/OAGI/Components/Fields1.xsd"/>
	<xsd:element name="SortingMachineEvent" type="SortingMachineEventType">
		<xsd:annotation>
			<xsd:documentation>An event that occurs on the sortingmachine and must be reported.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="SortingMachineEventType">
		<xsd:sequence>
			<xsd:element ref="SortingMachineEventHeader" minOccurs="0"/>
			<xsd:element ref="SortingMachineEventLine" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:element name="SortingMachineEventHeader" type="SortingMachineEventHeaderType"/>
	<xsd:complexType name="SortingMachineEventHeaderType">
		<xsd:complexContent>
			<xsd:extension base="co1:StatusEnabledHeaderType">
				<xsd:sequence>
					<xsd:element ref="fi1:OperationalMode" minOccurs="0"/>
					<xsd:element ref="fi1:SortList" minOccurs="0"/>
					<xsd:element ref="co1:SortingMachine" minOccurs="0"/>
					<xsd:element name="Process" type="ma1:ResultProcessType" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>The business process that was carried out on a specific location, under the responsibility of an organization.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="TotalEventTime" type="co1:TimePeriodType" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>Total time of all events.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:element name="SortingMachineEventLine" type="SortingMachineEventLineType"/>
	<xsd:complexType name="SortingMachineEventLineType">
		<xsd:sequence>
			<xsd:element ref="co1:SortingMachineEvent" minOccurs="0"/>
			<xsd:element ref="co1:SortingMachineModule" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>
